Bug 609480 - [abrt] report-0.17-1.el6: __init__.py:69:ftpFile:AttributeError: 'NoneType' object has no attribute 'startswith'
Summary: [abrt] report-0.17-1.el6: __init__.py:69:ftpFile:AttributeError: 'NoneType' o...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: report   
(Show other bugs)
Version: 6.0
Hardware: x86_64 Linux
low
medium
Target Milestone: rc
: ---
Assignee: Gavin Romig-Koch
QA Contact: Boris Ranto
URL:
Whiteboard: abrt_hash:7939c1ab
Keywords:
Depends On: 610870
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-30 12:07 UTC by David Kutálek
Modified: 2010-11-10 21:29 UTC (History)
3 users (show)

Fixed In Version: report-0.18-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 610870 (view as bug list)
Environment:
Last Closed: 2010-11-10 21:29:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.24 KB, text/plain)
2010-06-30 12:07 UTC, David Kutálek
no flags Details

Description David Kutálek 2010-06-30 12:07:40 UTC
abrt version: 1.1.7
architecture: x86_64
component: report
executable: /usr/bin/report
kernel: 2.6.32-37.el6.x86_64
package: report-0.17-1.el6
reason: __init__.py:69:ftpFile:AttributeError: 'NoneType' object has no attribute 'startswith'
release: Red Hat Enterprise Linux release 6.0 Beta (Santiago)
time: 1277899552
uid: 501

backtrace
-----
__init__.py:69:ftpFile:AttributeError: 'NoneType' object has no attribute 'startswith'

Traceback (most recent call last):
  File "/usr/bin/report", line 160, in <module>
    app = report.report(signature, io, **optsDict)
  File "/usr/lib64/python2.6/site-packages/report/__init__.py", line 493, in report
    retval = choice(signature, io)
  File "/usr/lib64/python2.6/site-packages/report/__init__.py", line 413, in <lambda>
    (lambda module, optionsDict: lambda signature, io : module.report(signature, io, optionsDict))(module, optionsDict)))
  File "/usr/lib64/python2.6/site-packages/report/plugins/ftp/__init__.py", line 57, in report
    return ftpFile(fileName, file(fileName), io, optionsDict)
  File "/usr/lib64/python2.6/site-packages/report/plugins/ftp/__init__.py", line 69, in ftpFile
    if not ftpserver.startswith("ftp://"):
AttributeError: 'NoneType' object has no attribute 'startswith'

Local variables in innermost frame:
username: None
optionsDict: {'description': '"Plugin to send file to ftp"', 'plugin': 'ftp'}
fileName: '/tmp/dummy-report.txt'
urlparse: <function urlparse at 0x25dd2a8>
ftpserver: None
io: <report.io.GTKIO.GTKIO instance at 0x23b04d0>
fileBlob: <open file '/tmp/dummy-report.txt', mode 'r' at 0x25c20b8>
password: None

How to reproduce
-----
1. report --gtk /tmp/dummy-report.txt
2. choose ftp
3. choose cancel

Comment 1 David Kutálek 2010-06-30 12:07:43 UTC
Created attachment 427966 [details]
File: backtrace

Comment 3 RHEL Product and Program Management 2010-06-30 12:23:20 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 Gavin Romig-Koch 2010-07-02 16:27:24 UTC
This fix is very simple and safe 

https://fedorahosted.org/report/changeset/74ab4571bb52d5dfc69a3128a3d8a707f8c70d3e/

Comment 10 releng-rhel@redhat.com 2010-11-10 21:29:42 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.